Last Comment Bug 761023 - [devtb] Developer Toolbar should re-open automatically if browser closed with it open [GCLI]
: [devtb] Developer Toolbar should re-open automatically if browser closed with...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 16
Assigned To: Paul Rouget [:paul]
:
:
Mentors:
Depends on:
Blocks: 745773
  Show dependency treegraph
 
Reported: 2012-06-03 13:41 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-06-20 06:24 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (3.33 KB, patch)
2012-06-15 06:56 PDT, Paul Rouget [:paul]
jwalker: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-06-03 13:41:30 PDT

    
Comment 1 Paul Rouget [:paul] 2012-06-15 06:56:50 PDT
Created attachment 633502 [details] [diff] [review]
v1
Comment 2 Panos Astithas [:past] 2012-06-19 01:03:16 PDT
Rebased and landed:
https://hg.mozilla.org/integration/fx-team/rev/95852ec078fb
Comment 3 Tim Taubert [:ttaubert] 2012-06-19 06:14:59 PDT
https://hg.mozilla.org/mozilla-central/rev/95852ec078fb
Comment 4 Ed Morley [:emorley] 2012-06-20 02:21:22 PDT
https://hg.mozilla.org/mozilla-central/rev/31f138fb63c6
Comment 5 Paul Rouget [:paul] 2012-06-20 06:09:30 PDT
I get an exception if I start Firefox with the pref on:

Timestamp: 6/20/12 3:08:31 PM
Error: TypeError: this.DeveloperToolbar is undefined
Source File: chrome://browser/content/browser.js
Line: 7036
Comment 6 Paul Rouget [:paul] 2012-06-20 06:24:38 PDT
Bug 766535 - [devtb] this.DeveloperToolbar is undefined when starting Firefox with toolbar previously visible

Note You need to log in before you can comment on or make changes to this bug.